Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.resolve
Class IvyDependencyManager

    java.lang.Object
      org.codehaus.groovy.grails.resolve.IvyDependencyManager

All Implemented Interfaces:
  groovy.lang.GroovyObject, DependencyDefinitionParser, DependencyResolver

    public class IvyDependencyManager

extends Object
implements DependencyResolver, DependencyDefinitionParser, groovy.lang.GroovyObject

Constructor Summary
`IvyDependencyManager(String applicationName, String applicationVersion)`
`IvyDependencyManager(String applicationName, String applicationVersion, BuildSettings settings)`

Method Summary
`protected groovy.lang.MetaClass` | `$getStaticMetaClass()`
`void` | `addDependency(org.apache.ivy.core.module.id.ModuleRevisionId revisionId)`
`void` | `addDependencyDescriptor(org.apache.ivy.core.module.descriptor.DependencyDescriptor dd)`
`void` | `addPluginDependency(String pluginName, Map args)`
`Object` | `configureDependencyDescriptor(EnhancedDefaultDependencyDescriptor dependencyDescriptor, String scope)`
`Object` | `configureDependencyDescriptor(EnhancedDefaultDependencyDescriptor dependencyDescriptor, String scope, groovy.lang.Closure dependencyConfigurer)`
`static List<org.apache.ivy.core.module.descriptor.Configuration>` | `getALL_CONFIGURATIONS()`
`Set<org.apache.ivy.core.module.descriptor.DependencyDescriptor>` | `getApplicationDependencyDescriptors()`
`Set<org.apache.ivy.core.module.descriptor.DependencyDescriptor>` | `getApplicationDependencyDescriptors(String scope)`
`String` | `getApplicationName()`
`String` | `getApplicationVersion()`
`boolean` | `getBooleanValue(Object dependency, String name)`
`static org.apache.ivy.core.module.descriptor.Configuration` | `getBUILD_CONFIGURATION()`
`BuildSettings` | `getBuildSettings()`
`static groovy.lang.Closure` | `getBundleRepositoryDependencies(String grailsVersion)`
`org.apache.ivy.plugins.resolver.ChainResolver` | `getChainResolver()`
`static org.apache.ivy.core.module.descriptor.Configuration` | `getCOMPILE_CONFIGURATION()`
`Map` | `getConfigurationMappings()`
`Collection<String>` | `getConfiguredPlugins()`
`static groovy.lang.Closure` | `getDefaultDependencies(String grailsVersion)`
`Set<org.apache.ivy.core.module.id.ModuleRevisionId>` | `getDependencies()`
`Set<org.apache.ivy.core.module.descriptor.DependencyDescriptor>` | `getDependencyDescriptors()`
`Set<org.apache.ivy.core.module.descriptor.DependencyDescriptor>` | `getExportedDependencyDescriptors()`
`Set<org.apache.ivy.core.module.descriptor.DependencyDescriptor>` | `getExportedDependencyDescriptors(String scope)`
`boolean` | `getInheritsAll()`
`org.apache.ivy.core.settings.IvySettings` | `getIvySettings()`
`groovy.lang.MetaClass` | `getMetaClass()`
`org.apache.ivy.core.module.descriptor.DefaultModuleDescriptor` | `getModuleDescriptor()`
`Collection` | `getModuleExcludes()`
`Set<org.apache.ivy.core.module.id.ModuleRevisionId>` | `getModuleRevisionIds(String org)` Obtains the ModuleRevisionId instances for the given organisation name
`Map` | `getPluginExcludes()`
`Object` | `getProperty(String property)`
`static org.apache.ivy.core.module.descriptor.Configuration` | `getPROVIDED_CONFIGURATION()`
`boolean` | `getReadPom()`
`Collection` | `getRepositoryData()`
`org.apache.ivy.core.resolve.ResolveEngine` | `getResolveEngine()`
`boolean` | `getResolveErrors()`
`static org.apache.ivy.core.module.descriptor.Configuration` | `getRUNTIME_CONFIGURATION()`
`static org.apache.ivy.core.module.descriptor.Configuration` | `getTEST_CONFIGURATION()`
`Collection<String>` | `getUsedConfigurations()`
`boolean` | `hasApplicationDependencies()`
`boolean` | `hasDependency(org.apache.ivy.core.module.id.ModuleId mid)`
`boolean` | `hasDependency(String group, String name)`
`Object` | `invokeMethod(String method, Object arguments)`
`boolean` | `isInheritsAll()`
`boolean` | `isPluginConfiguredByApplication(String name)`
`boolean` | `isReadPom()`
`boolean` | `isResolveErrors()`
`org.apache.ivy.core.resolve.IvyNode[]` | `listDependencies()`
`org.apache.ivy.core.resolve.IvyNode[]` | `listDependencies(String conf)`
`void` | `parseDependencies(groovy.lang.Closure definition)` Parses DSL code into a dependency definition
`void` | `parseDependencies(String pluginName, groovy.lang.Closure definition)`
`List` | `readDependenciesFromPOM()`
`void` | `resetGrailsPluginsResolver()`
`List<org.apache.ivy.core.report.ArtifactDownloadReport>` | `resolveApplicationDependencies()`
`List<org.apache.ivy.core.report.ArtifactDownloadReport>` | `resolveApplicationDependencies(String conf)`
`org.apache.ivy.core.report.ResolveReport` | `resolveDependencies()`
`org.apache.ivy.core.report.ResolveReport` | `resolveDependencies(org.apache.ivy.core.module.descriptor.Configuration conf)`
`org.apache.ivy.core.report.ResolveReport` | `resolveDependencies(String conf)`
`List<org.apache.ivy.core.report.ArtifactDownloadReport>` | `resolveExportedDependencies()`
`List<org.apache.ivy.core.report.ArtifactDownloadReport>` | `resolveExportedDependencies(String conf)`
`void` | `serialize(Object builder)`
`void` | `serialize(Object builder, boolean createRoot)`
`static void` | `setALL_CONFIGURATIONS(List<org.apache.ivy.core.module.descriptor.Configuration> value)`
`void` | `setApplicationName(String value)`
`void` | `setApplicationVersion(String value)`
`static void` | `setBUILD_CONFIGURATION(org.apache.ivy.core.module.descriptor.Configuration value)`
`void` | `setBuildSettings(BuildSettings value)`
`void` | `setChainResolver(org.apache.ivy.plugins.resolver.ChainResolver value)`
`static void` | `setCOMPILE_CONFIGURATION(org.apache.ivy.core.module.descriptor.Configuration value)`
`void` | `setConfigurationMappings(Map value)`
`void` | `setConfiguredPlugins(Collection<String> value)`
`void` | `setInheritsAll(boolean value)`
`void` | `setIvySettings(org.apache.ivy.core.settings.IvySettings value)`
`void` | `setMetaClass(groovy.lang.MetaClass mc)`
`void` | `setModuleDescriptor(org.apache.ivy.core.module.descriptor.DefaultModuleDescriptor value)`
`void` | `setModuleExcludes(Collection value)`
`void` | `setPluginExcludes(Map value)`
`void` | `setProperty(String property, Object value)`
`static void` | `setPROVIDED_CONFIGURATION(org.apache.ivy.core.module.descriptor.Configuration value)`
`void` | `setReadPom(boolean value)`
`void` | `setRepositoryData(Collection value)`
`void` | `setResolveEngine(org.apache.ivy.core.resolve.ResolveEngine value)`
`void` | `setResolveErrors(boolean value)`
`static void` | `setRUNTIME_CONFIGURATION(org.apache.ivy.core.module.descriptor.Configuration value)`
`static void` | `setTEST_CONFIGURATION(org.apache.ivy.core.module.descriptor.Configuration value)`
`void` | `setUsedConfigurations(Collection<String> value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IvyDependencyManager

    public IvyDependencyManager(String applicationName,
                                String applicationVersion,
                                BuildSettings settings)

### IvyDependencyManager

    public IvyDependencyManager(String applicationName,
                                String applicationVersion)

Method Detail

### getBUILD_CONFIGURATION

    public static org.apache.ivy.core.module.descriptor.Configuration getBUILD_CONFIGURATION()

### setBUILD_CONFIGURATION

    public static void setBUILD_CONFIGURATION(org.apache.ivy.core.module.descriptor.Configuration value)

### getCOMPILE_CONFIGURATION

    public static org.apache.ivy.core.module.descriptor.Configuration getCOMPILE_CONFIGURATION()

### setCOMPILE_CONFIGURATION

    public static void setCOMPILE_CONFIGURATION(org.apache.ivy.core.module.descriptor.Configuration value)

### getRUNTIME_CONFIGURATION

    public static org.apache.ivy.core.module.descriptor.Configuration getRUNTIME_CONFIGURATION()

### setRUNTIME_CONFIGURATION

    public static void setRUNTIME_CONFIGURATION(org.apache.ivy.core.module.descriptor.Configuration value)

### getTEST_CONFIGURATION

    public static org.apache.ivy.core.module.descriptor.Configuration getTEST_CONFIGURATION()

### setTEST_CONFIGURATION

    public static void setTEST_CONFIGURATION(org.apache.ivy.core.module.descriptor.Configuration value)

### getPROVIDED_CONFIGURATION

    public static org.apache.ivy.core.module.descriptor.Configuration getPROVIDED_CONFIGURATION()

### setPROVIDED_CONFIGURATION

    public static void setPROVIDED_CONFIGURATION(org.apache.ivy.core.module.descriptor.Configuration value)

### getALL_CONFIGURATIONS

    public static List<org.apache.ivy.core.module.descriptor.Configuration> getALL_CONFIGURATIONS()

### setALL_CONFIGURATIONS

    public static void setALL_CONFIGURATIONS(List<org.apache.ivy.core.module.descriptor.Configuration> value)

### getConfigurationMappings

    public Map getConfigurationMappings()

### setConfigurationMappings

    public void setConfigurationMappings(Map value)

### getResolveEngine

    public org.apache.ivy.core.resolve.ResolveEngine getResolveEngine()

### setResolveEngine

    public void setResolveEngine(org.apache.ivy.core.resolve.ResolveEngine value)

### getBuildSettings

    public BuildSettings getBuildSettings()

### setBuildSettings

    public void setBuildSettings(BuildSettings value)

### getApplicationName

    public String getApplicationName()

### setApplicationName

    public void setApplicationName(String value)

### getApplicationVersion

    public String getApplicationVersion()

### setApplicationVersion

    public void setApplicationVersion(String value)

### getIvySettings

    public org.apache.ivy.core.settings.IvySettings getIvySettings()

### setIvySettings

    public void setIvySettings(org.apache.ivy.core.settings.IvySettings value)

### getChainResolver

    public org.apache.ivy.plugins.resolver.ChainResolver getChainResolver()

### setChainResolver

    public void setChainResolver(org.apache.ivy.plugins.resolver.ChainResolver value)

### getModuleDescriptor

    public org.apache.ivy.core.module.descriptor.DefaultModuleDescriptor getModuleDescriptor()

### setModuleDescriptor

    public void setModuleDescriptor(org.apache.ivy.core.module.descriptor.DefaultModuleDescriptor value)

### getRepositoryData

    public Collection getRepositoryData()

### setRepositoryData

    public void setRepositoryData(Collection value)

### getConfiguredPlugins

    public Collection<String> getConfiguredPlugins()

### setConfiguredPlugins

    public void setConfiguredPlugins(Collection<String> value)

### getUsedConfigurations

    public Collection<String> getUsedConfigurations()

### setUsedConfigurations

    public void setUsedConfigurations(Collection<String> value)

### getModuleExcludes

    public Collection getModuleExcludes()

### setModuleExcludes

    public void setModuleExcludes(Collection value)

### getPluginExcludes

    public Map getPluginExcludes()

### setPluginExcludes

    public void setPluginExcludes(Map value)

### getReadPom

    public boolean getReadPom()

### isReadPom

    public boolean isReadPom()

### setReadPom

    public void setReadPom(boolean value)

### getInheritsAll

    public boolean getInheritsAll()

### isInheritsAll

    public boolean isInheritsAll()

### setInheritsAll

    public void setInheritsAll(boolean value)

### getResolveErrors

    public boolean getResolveErrors()

### isResolveErrors

    public boolean isResolveErrors()

### setResolveErrors

    public void setResolveErrors(boolean value)

### resetGrailsPluginsResolver

    public void resetGrailsPluginsResolver()

### hasApplicationDependencies

    public boolean hasApplicationDependencies()

### serialize

    public void serialize(Object builder,
                          boolean createRoot)

### getBundleRepositoryDependencies

    public static groovy.lang.Closure getBundleRepositoryDependencies(String grailsVersion)

### getDefaultDependencies

    public static groovy.lang.Closure getDefaultDependencies(String grailsVersion)

### getDependencies

    public Set<org.apache.ivy.core.module.id.ModuleRevisionId> getDependencies()

### getApplicationDependencyDescriptors

    public Set<org.apache.ivy.core.module.descriptor.DependencyDescriptor> getApplicationDependencyDescriptors(String scope)

### getExportedDependencyDescriptors

    public Set<org.apache.ivy.core.module.descriptor.DependencyDescriptor> getExportedDependencyDescriptors(String scope)

### getDependencyDescriptors

    public Set<org.apache.ivy.core.module.descriptor.DependencyDescriptor> getDependencyDescriptors()

### addDependency

    public void addDependency(org.apache.ivy.core.module.id.ModuleRevisionId revisionId)

### addDependencyDescriptor

    public void addDependencyDescriptor(org.apache.ivy.core.module.descriptor.DependencyDescriptor dd)

### addPluginDependency

    public void addPluginDependency(String pluginName,
                                    Map args)

### isPluginConfiguredByApplication

    public boolean isPluginConfiguredByApplication(String name)

### configureDependencyDescriptor

    public Object configureDependencyDescriptor(EnhancedDefaultDependencyDescriptor dependencyDescriptor,
                                                String scope,
                                                groovy.lang.Closure dependencyConfigurer)

### getModuleRevisionIds

    public Set<org.apache.ivy.core.module.id.ModuleRevisionId> getModuleRevisionIds(String org)

  Description copied from interface: `DependencyResolver`
  Obtains the ModuleRevisionId instances for the given organisation name

  Specified by:
    `getModuleRevisionIds` in interface `DependencyResolver`
  Parameters:
    `org` - The organisation name
  Returns:
    The ModuleRevisionId

### listDependencies

    public org.apache.ivy.core.resolve.IvyNode[] listDependencies(String conf)

### resolveDependencies

    public org.apache.ivy.core.report.ResolveReport resolveDependencies(org.apache.ivy.core.module.descriptor.Configuration conf)

### resolveApplicationDependencies

    public List<org.apache.ivy.core.report.ArtifactDownloadReport> resolveApplicationDependencies(String conf)

### resolveExportedDependencies

    public List<org.apache.ivy.core.report.ArtifactDownloadReport> resolveExportedDependencies(String conf)

### resolveDependencies

    public org.apache.ivy.core.report.ResolveReport resolveDependencies()

  Specified by:
    `resolveDependencies` in interface `DependencyResolver`

### resolveDependencies

    public org.apache.ivy.core.report.ResolveReport resolveDependencies(String conf)

### hasDependency

    public boolean hasDependency(org.apache.ivy.core.module.id.ModuleId mid)

### hasDependency

    public boolean hasDependency(String group,
                                 String name)

### parseDependencies

    public void parseDependencies(groovy.lang.Closure definition)

  Description copied from interface: `DependencyDefinitionParser`
  Parses DSL code into a dependency definition

  Specified by:
    `parseDependencies` in interface `DependencyDefinitionParser`
  Parameters:
    `definition` - The DSL code

### readDependenciesFromPOM

    public List readDependenciesFromPOM()

### parseDependencies

    public void parseDependencies(String pluginName,
                                  groovy.lang.Closure definition)

### getBooleanValue

    public boolean getBooleanValue(Object dependency,
                                   String name)

### serialize

    public void serialize(Object builder)

### getApplicationDependencyDescriptors

    public Set<org.apache.ivy.core.module.descriptor.DependencyDescriptor> getApplicationDependencyDescriptors()

### getExportedDependencyDescriptors

    public Set<org.apache.ivy.core.module.descriptor.DependencyDescriptor> getExportedDependencyDescriptors()

### configureDependencyDescriptor

    public Object configureDependencyDescriptor(EnhancedDefaultDependencyDescriptor dependencyDescriptor,
                                                String scope)

### listDependencies

    public org.apache.ivy.core.resolve.IvyNode[] listDependencies()

### resolveApplicationDependencies

    public List<org.apache.ivy.core.report.ArtifactDownloadReport> resolveApplicationDependencies()

### resolveExportedDependencies

    public List<org.apache.ivy.core.report.ArtifactDownloadReport> resolveExportedDependencies()

### $getStaticMetaClass

    protected groovy.lang.MetaClass $getStaticMetaClass()

### getMetaClass

    public groovy.lang.MetaClass getMetaClass()

  Specified by:
    `getMetaClass` in interface `groovy.lang.GroovyObject`

### setMetaClass

    public void setMetaClass(groovy.lang.MetaClass mc)

  Specified by:
    `setMetaClass` in interface `groovy.lang.GroovyObject`

### invokeMethod

    public Object invokeMethod(String method,
                               Object arguments)

  Specified by:
    `invokeMethod` in interface `groovy.lang.GroovyObject`

### getProperty

    public Object getProperty(String property)

  Specified by:
    `getProperty` in interface `groovy.lang.GroovyObject`

### setProperty

    public void setProperty(String property,
                            Object value)

  Specified by:
    `setProperty` in interface `groovy.lang.GroovyObject`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2005-2009 The Grails project